<?php

namespace Mysql;

/**
 * 消息表连接类
 */
class MemberMessageModel extends \Mysql\AbstractModel {

    /**
     * 表名
     *
     * @var string
     */
    protected $_tableName = 'han_member_message';

    /**
     * 主键
     *
     * @var string
     */
    protected $_primaryKey = 'id';

    /**
     * 类实例

     * @var \Mysql\Slave\UserModel
     */
    private static $_instance = null;

    public function get($columns = null, $where = null, $order = null, $count = null, $offset = null, $group = null){
        return $this->fetchAll($columns,$where,$order,$count,$offset,$group);
    }

    /**
     * 获取类实例
     *
     * @return \Mysql\Slave\UserModel
     */
    public static function getInstance() {
        if (!(self::$_instance instanceof self)) {
            self::$_instance = new self();
        }

        return self::$_instance;
    }

}
